## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenClass

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.codegen.ecore.genmodel.GenBase, org.eclipse.emf.codegen.ecore.genmodel.GenClass, org.eclipse.emf.codegen.ecore.genmodel.GenClassifier, org.eclipse.emf.common.notify.Notifier

    public interface GenClass

extends org.eclipse.emf.codegen.ecore.genmodel.GenClass, GenClassifier

A representation of the model object 'Gen Class'.

See Also:
  `GenModelPackage.getGenClass()`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClass
`org.eclipse.emf.codegen.ecore.genmodel.GenClass.ChildCreationData`

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `findGenFeature(org.eclipse.emf.ecore.EStructuralFeature ecoreFeature)`
`org.eclipse.emf.codegen.ecore.genmodel.GenOperation` `findGenOperation(org.eclipse.emf.ecore.EOperation ecoreOperation)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getDuplicateGenFeatures()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation>` `getDuplicateGenOperations()`
`org.eclipse.emf.codegen.ecore.genmodel.GenOperation` `getImplementedCollidingGetGenOperation(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)`
`org.eclipse.emf.codegen.ecore.genmodel.GenOperation` `getImplementedCollidingIsSetGenOperation(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)`
`org.eclipse.emf.codegen.ecore.genmodel.GenOperation` `getImplementedCollidingSetGenOperation(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)`
`org.eclipse.emf.codegen.ecore.genmodel.GenOperation` `getImplementedCollidingUnsetGenOperation(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getImplementedRedefinedGenFeatures()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation>` `getImplementedRedefinedGenOperations()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getImplementedSubsetGenFeatures()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getImplementedSubsetGenFeatures(boolean listType)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getImplementedSupersetGenFeatures()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getImplementedSupersetGenFeatures(boolean listType)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getImplementedUnionGenFeatures()`
`java.lang.String` `getImportedOperationsClassName()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getIsSetSubsetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature unionGenFeature)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getKeyGenFeatures()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getKeyGenFeatures(boolean includeContains)`
`java.lang.String` `getOperationsClassExtends()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation>` `getOperationsClassGenOperations()`
`java.lang.String` `getOperationsClassName()`
`java.lang.String` `getQualifiedOperationsClassName()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getRedefinedGenFeatures()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation>` `getRedefinedGenOperations()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getRedefinitionGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature redefinedGenFeature)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation>` `getRedefinitionGenOperations(org.eclipse.emf.codegen.ecore.genmodel.GenOperation redefinedGenOperation)`
`java.lang.String` `getSubsetFeatureAccessorArray(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature)`
`java.lang.String` `getSubsetFeatureIDArray(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature)`
`java.lang.String` `getSubsetFeatureIDArray(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature, boolean includeDerived)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getSubsetGenFeatures()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getSubsetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getSubsetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature, boolean includeDerived)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getSubsetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature, boolean includeDerived, boolean includeListType)`
`java.lang.String` `getSupersetFeatureAccessorArray(org.eclipse.emf.codegen.ecore.genmodel.GenFeature subsetGenFeature)`
`java.lang.String` `getSupersetFeatureIDArray(org.eclipse.emf.codegen.ecore.genmodel.GenFeature subsetGenFeature)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getSupersetGenFeatures()`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getSupersetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature subsetGenFeature)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getSupersetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature subsetGenFeature, boolean includeDerived)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getSupersetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature subsetGenFeature, boolean includeDerived, boolean includeListType)`
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getUnionGenFeatures()`
`boolean` `hasOCLOperationBodies()`
`boolean` `isDerivedUnionListType(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)`
`boolean` `isFactoryMethods(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)`
`boolean` `isRedefined(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)`
`boolean` `isRedefined(org.eclipse.emf.codegen.ecore.genmodel.GenOperation genOperation)`
`boolean` `isSuperset(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClass

`addClassPsuedoImports, getAbstractFlag, getAllBaseGenClasses, getAllChildrenFeatures, getAllCreateChildFeatures, getAllCreateChildFeaturesIncludingDelegation, getAllEVirtualIndexBitFields, getAllGenFeatures, getAllGenOperations, getBaseGenClass, getBaseGenClasses, getCastFromEObject, getChildCreationData, getChildCreationData, getChildrenClasses, getChildrenFeatures, getClassExtends, getClassExtendsGenClass, getClassImplements, getClassName, getClassTypeArguments, getContentNotifyFeatures, getCreateChildFeatures, getCreateChildFeaturesIncludingDelegation, getCreateChildIconFileName, getCreateChildIconFileName, getCrossPackageChildrenClasses, getCrossPackageCreateChildFeatures, getDeclaredFieldGenFeatures, getDeclaredGenFeatures, getDeclaredGenOperations, getEBasicRemoveFromContainerGenFeatures, getEcoreClass, getEGetGenFeatures, getEInverseAddGenFeatures, getEInverseRemoveGenFeatures, getEIsSetGenFeatures, getESetFlagIndex, getESetFlagsField, getESetGenFeatures, getEUnsetGenFeatures, getEVirtualIndexBitFields, getEVirtualValuesField, getExtendedGenClasses, getExtendedGenFeatures, getExtendedGenOperations, getFeatureCount, getFeatureCountID, getFeatureCountValue, getFeatureID, getFeatureValue, getFlagGenFeatures, getFlagGenFeatures, getFlagGenFeaturesWithDefault, getFlagIndex, getFlagMask, getFlagsField, getFlagSize, getGenFeatures, getGenOperations, getGetAccessorOperation, getImplementedGenClasses, getImplementedGenFeatures, getImplementedGenOperations, getImplementingGenModel, getImportedClassName, getImportedInterfaceName, getImportedProviderClassName, getImportedTestCaseClassName, getInheritedGenFeatures, getInterfaceExtends, getInterfaceFlag, getInterfaceName, getInterfaceTypeArguments, getInterfaceWildTypeArguments, getInvariantOperation, getInvariantOperations, getIsSetAccessorOperation, getItemIconFileName, getItemProviderAdapterFactoryClassName, getLabelAndContentNotifyFeatures, getLabelFeature, getLabelFeatureCandidates, getLabelNotifyFeatures, getListConstructor, getLocalFeatureIndex, getMapEntryKeyFeature, getMapEntryValueFeature, getMixedGenFeature, getMixinGenClasses, getMixinGenFeatures, getMixinGenOperations, getModelInfo, getNotifyFeatures, getOffsetCorrectionField, getOperationID, getPropertyFeatures, getProvider, getProviderBaseClassName, getProviderClassName, getProviderExtendsGenClass, getProviderImplementedGenClasses, getQualifiedClassName, getQualifiedFeatureCountID, getQualifiedFeatureID, getQualifiedInterfaceName, getQualifiedProviderClassName, getQualifiedTestCaseClassName, getRawImportedInterfaceName, getSetAccessorOperation, getSharedClassCreateChildFeatures, getSwitchGenClasses, getTestCaseClassName, getToStringGenFeatures, getTypeParameters, getUncapName, getUnsetAccessorOperation, hasCollidingGetAccessorOperation, hasCollidingIsSetAccessorOperation, hasCollidingSetAccessorOperation, hasCollidingUnsetAccessorOperation, hasFactoryInterfaceCreateMethod, hasFeatureMapCreateChildFeatures, hasGenericSuperTypes, hasImplementedToStringGenOperation, hasOffsetCorrection, hasTests, implementsAny, initialize, isAbstract, isDocumentRoot, isDynamic, isEObject, isEObjectExtension, isESetField, isESetFlag, isExternalInterface, isField, isFlag, isImage, isInterface, isJavaIOSerializable, isMapEntry, isModelRoot, isProviderSingleton, needsHasChildrenMethodOverride, needsRootExtendsInterfaceExtendsTag, reconcile, setDynamic, setEcoreClass, setImage, setLabelFeature, setProvider`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier

`getAllGenConstraints, getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getConstraintDelegate, getConstraintImplementor, getEcoreClassifier, getFormattedName, getGenConstraints, getGeneratedInstanceClassFlag, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedInstanceClassName, getImportedMetaType, getImportedParameterizedInstanceClassName, getImportedWildcardInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getRawImportedInstanceClassName, getRawInstanceClassName, getSafeUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier

`getAllGenConstraints, getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getConstraintDelegate, getConstraintImplementor, getEcoreClassifier, getFormattedName, getGenConstraints, getGeneratedInstanceClassFlag, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedInstanceClassName, getImportedMetaType, getImportedParameterizedInstanceClassName, getImportedWildcardInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getRawImportedInstanceClassName, getRawInstanceClassName, getSafeUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOperationsClassName

    java.lang.String getOperationsClassName()

### getImportedOperationsClassName

    java.lang.String getImportedOperationsClassName()

### getQualifiedOperationsClassName

    java.lang.String getQualifiedOperationsClassName()

### getOperationsClassExtends

    java.lang.String getOperationsClassExtends()

### getOperationsClassGenOperations

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation> getOperationsClassGenOperations()

  Since:
    1.4

### getKeyGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getKeyGenFeatures()

### getKeyGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getKeyGenFeatures(boolean includeContains)

### isFactoryMethods

    boolean isFactoryMethods(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)

### findGenFeature

    org.eclipse.emf.codegen.ecore.genmodel.GenFeature findGenFeature(org.eclipse.emf.ecore.EStructuralFeature ecoreFeature)

### findGenOperation

    org.eclipse.emf.codegen.ecore.genmodel.GenOperation findGenOperation(org.eclipse.emf.ecore.EOperation ecoreOperation)

### getDuplicateGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getDuplicateGenFeatures()

### getDuplicateGenOperations

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation> getDuplicateGenOperations()

### isDerivedUnionListType

    boolean isDerivedUnionListType(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)

### getUnionGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getUnionGenFeatures()

### getImplementedUnionGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getImplementedUnionGenFeatures()

### getSubsetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getSubsetGenFeatures()

### getImplementedSubsetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getImplementedSubsetGenFeatures()

### getImplementedSubsetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getImplementedSubsetGenFeatures(boolean listType)

### getSupersetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getSupersetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature subsetGenFeature)

### getSupersetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getSupersetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature subsetGenFeature,
                                                                                             boolean includeDerived)

### getSupersetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getSupersetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature subsetGenFeature,
                                                                                             boolean includeDerived,
                                                                                             boolean includeListType)

### getSupersetFeatureAccessorArray

    java.lang.String getSupersetFeatureAccessorArray(org.eclipse.emf.codegen.ecore.genmodel.GenFeature subsetGenFeature)

### getSupersetFeatureIDArray

    java.lang.String getSupersetFeatureIDArray(org.eclipse.emf.codegen.ecore.genmodel.GenFeature subsetGenFeature)

### isSuperset

    boolean isSuperset(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)

### getSupersetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getSupersetGenFeatures()

### getImplementedSupersetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getImplementedSupersetGenFeatures()

### getImplementedSupersetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getImplementedSupersetGenFeatures(boolean listType)

### getSubsetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getSubsetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature)

### getSubsetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getSubsetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature,
                                                                                           boolean includeDerived)

### getSubsetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getSubsetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature,
                                                                                           boolean includeDerived,
                                                                                           boolean includeListType)

### getIsSetSubsetGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getIsSetSubsetGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature unionGenFeature)

### getSubsetFeatureAccessorArray

    java.lang.String getSubsetFeatureAccessorArray(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature)

### getSubsetFeatureIDArray

    java.lang.String getSubsetFeatureIDArray(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature)

### getSubsetFeatureIDArray

    java.lang.String getSubsetFeatureIDArray(org.eclipse.emf.codegen.ecore.genmodel.GenFeature supersetGenFeature,
                                             boolean includeDerived)

### isRedefined

    boolean isRedefined(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)

### getRedefinedGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getRedefinedGenFeatures()

### getImplementedRedefinedGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getImplementedRedefinedGenFeatures()

### getRedefinitionGenFeatures

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getRedefinitionGenFeatures(org.eclipse.emf.codegen.ecore.genmodel.GenFeature redefinedGenFeature)

### isRedefined

    boolean isRedefined(org.eclipse.emf.codegen.ecore.genmodel.GenOperation genOperation)

### getRedefinedGenOperations

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation> getRedefinedGenOperations()

### getImplementedRedefinedGenOperations

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation> getImplementedRedefinedGenOperations()

### getRedefinitionGenOperations

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenOperation> getRedefinitionGenOperations(org.eclipse.emf.codegen.ecore.genmodel.GenOperation redefinedGenOperation)

### getImplementedCollidingGetGenOperation

    org.eclipse.emf.codegen.ecore.genmodel.GenOperation getImplementedCollidingGetGenOperation(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)

### getImplementedCollidingSetGenOperation

    org.eclipse.emf.codegen.ecore.genmodel.GenOperation getImplementedCollidingSetGenOperation(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)

### getImplementedCollidingIsSetGenOperation

    org.eclipse.emf.codegen.ecore.genmodel.GenOperation getImplementedCollidingIsSetGenOperation(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)

### getImplementedCollidingUnsetGenOperation

    org.eclipse.emf.codegen.ecore.genmodel.GenOperation getImplementedCollidingUnsetGenOperation(org.eclipse.emf.codegen.ecore.genmodel.GenFeature genFeature)

### hasOCLOperationBodies

    boolean hasOCLOperationBodies()

  Since:
    1.3

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.